gtk-sharp [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 71 EB 6C 55 75 52 9C BF 72 44 F7 A6 EA 05 62 84 F9 EA E0 3B CF F2 CC 13 2C 9C 49 0A B3 09 EA B0 B5 6B CE 44 9D F5 03 D9 C0 A8 1E 52 05 85 CD BE 70 E2 FB 90 43 4B AC 04 FA 62 22 A8 00 98 B7 A1 A7 B3 AF 99 1A 41 23 24 BB 43 25 F6 B8 65 BB 64 EB F6 D1 C2 06 D5 73 2D DF BC 70 A7 38 9E E5 3E 0C 24 6E 32 79 74 1A D0 05 03 E4 98 42 E1 9B F3 7B 19 8B 40 21 26 CB 36 89 C2 EA 64 96 A4 7C B4] 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Bin The base class of widgets that can be added to a . Current inheritors are: and .
- Constructor
  2.12.0.0
  Public constructor.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected constructor.
- Constructor
  2.12.0.0
  a , pointer to the underlying C object.
  Constructor for internal use. Do not use.
- Event
  2.12.0.0
  GLib.Signal("create_menu_proxy")
  Gtk.CreateMenuProxyHandler This event is raised when the toolbar is displaying an overflow menu and is trying to determine if toolitem should appear in the overflow menu.

  In response to this event, toolitems should either call the method specifying menu_item as None and return to indicate that the item should not appear in the overflow menu, OR call the method with a new menu item and return , OR

  return to indicate that the signal was not handled by the item. This means that the item will not appear in the overflow menu unless a later handler installs a menu item.

  The toolbar may cache the result of this signal. When the tool item changes how it will respond to this signal it must call the rebuild_menu() method to invalidate the cache and ensure that the toolbar rebuilds its overflow menu.

  TODO: figure out why there is no rebuild_menu in gtk#

- Property
  2.12.0.0
  System.Boolean Whether this toolitem is allocated extra space when there is more room on the toolbar then needed for the items. a If true, the effect is that the item gets bigger when the toolbar gets bigger and smaller when the toolbar gets smaller.
- Method
  2.12.0.0
  Gtk.Widget `` a If matches the string passed to , return the corresponding . a Custom subclasses of should use this function to update their menu item when the changes. That the s must match ensures that a will not inadvertently change a menu item that they did not create.
- Property
  2.12.0.0
  GLib.GType The of this object. a
- Property
  2.12.0.0
  System.Boolean Whether this toolitem is to be allocated the same size as other homogeneous items. a If true, the effect is that all homogeneous items will have the same width as the widest of the items.
- Property
  2.12.0.0
  Gtk.IconSize The size of icons in this toolbar. See . a
- Property
  2.12.0.0
  GLib.Property("is-important")
  System.Boolean Whether the toolbar item is considered important. a When TRUE, toolbar buttons show text when the toolbar is in mode.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideCreateMenuProxy", Type=typeof(Gtk.ToolItem))
  System.Boolean Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideToolbarReconfigured", Type=typeof(Gtk.ToolItem))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideTooltipSet", Type=typeof(Gtk.ToolItem))
  System.Boolean `` `` `` a a a Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Property
  2.12.0.0
  Gtk.Orientation The orientation used for this tool item. See . a
- Method
  2.12.0.0
  System.Void To be added To be added
- Property
  2.12.0.0
  Gtk.ReliefStyle Returns the relief style of this toolitem. See . a Custom subclasses of should call this function in the handler of the signal to find out the relief style of buttons.
- Method
  2.12.0.0
  Gtk.Widget Returns the that was last set by ; that is, the that is going to appear in the overflow menu. a
- Method
  2.12.0.0
  System.Void `` `` a a Sets the used in the toolbar overflow menu. The is used to identify the caller of this function and should also be used with .
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` `` `` a a , the tooltip text for the item a , the private text Sets the object to be used for this tool item, the text to be displayed as tooltip on the item and the private text to be used.
- Event
  2.12.0.0
  GLib.Signal("toolbar_reconfigured")
  System.EventHandler This signal is emitted when some property of the toolbar that the item is a child of changes. For custom subclasses of , the default handler of this signal uses the properties , , , and to find out what the toolbar should look like and change themselves accordingly.
- Property
  2.12.0.0
  Gtk.ToolbarStyle Sets some display styles for this toolbar; see for details. a
- Event
  2.12.0.0
  GLib.Signal("set_tooltip")
  Gtk.TooltipSetHandler This signal is emitted when the toolitem's tooltip changes.
- Property
  2.12.0.0
  System.Boolean Whether this toolitem has a drag window. a When this is TRUE the toolitem can be used as a drag source through . When this toolitem has a drag window it will intercept all events, even those that would otherwise be sent to a child of the toolitem.
- Property
  2.12.0.0
  GLib.Property("visible-horizontal")
  System.Boolean Whether the toolbar item is visible when the toolbar is in a horizontal orientation. a
- Property
  2.12.0.0
  GLib.Property("visible-vertical")
  System.Boolean Whether the toolbar item is visible when the toolbar is in a vertical orientation. a